package com.retail_store.order_management.constants;

/**
 * Here using Enum class types as the requirement has constants to
 * use multiple times in the project.
 *
 * So this enumeration class of category shows all options
 * according to requirement
 */
public enum Category {
    /**
     * Different types of Category enum
     */
    EXIT(0), SHIRTS(1), PANTS(2), JEANS(3), SHORTS(4), T_SHIRTS(5), POLOS(6), HOODIES(7), KURTA(8), SWEATSHIRTS(9), DRESS(10), TOPS(11);

    int option;

    public int getOption() {
        return option;
    }

    Category(int option) {
        this.option = option;
    }
}
