package com.retail_store.order_management.constants;

/**
 * Enumeration class of name Gender
 *
 * According to the selected option this class behaviour is called to select
 * particular gender
 */
public enum Gender {
    /**
     * Different types of Gender enum
     */
    EXIT(0,"exit"),MEN(1, "Men"), WOMEN(2, "Women");
    int option;
    String gender;

    public int getOption() {
        return option;
    }

    public String getGender() {
        return gender;
    }

    Gender(int option, String gender) {
        this.option = option;
        this.gender = gender;
    }
}
